curl -X POST https://api.growthbook.io/api/v1/attributes \
-d '{"property": "foo", "datatype": "boolean", "description": "My new attribute" }' \
-u secret_abc123DEF456:{
"attribute": {
"property": "<string>",
"datatype": "boolean",
"description": "<string>",
"hashAttribute": true,
"archived": true,
"enum": "<string>",
"format": "",
"projects": [
"<string>"
],
"tags": [
"<string>"
]
}
}Documentation Index
Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"The attribute property
The attribute datatype
boolean, string, number, secureString, enum, string[], number[], secureString[] The description of the new attribute
The attribute is archived
Shall the attribute be hashed
The attribute's format
, version, date, isoCountryCode Success
Show child attributes
curl -X POST https://api.growthbook.io/api/v1/attributes \
-d '{"property": "foo", "datatype": "boolean", "description": "My new attribute" }' \
-u secret_abc123DEF456:{
"attribute": {
"property": "<string>",
"datatype": "boolean",
"description": "<string>",
"hashAttribute": true,
"archived": true,
"enum": "<string>",
"format": "",
"projects": [
"<string>"
],
"tags": [
"<string>"
]
}
}